# discord.js-arguments
A simple argument parser for discord.js that returns a collection of the arguments.

### Installation
```bash
npm install discord.js-arguments
```

### Example
```js
const argumentParser = require('discord.js-arguments');
const Discord = require('discord.js');

const client = new Discord.Client();

client.on('ready', () => console.log('ready'));

client.on('message', (message) => {
    const arguments = argumentParser(message.content);
    message.reply(arguments);
})

client.login('BOT TOKEN HERE');
```
or in TypeScript
```ts
import argumentParser from 'discord.js-arguments';
import Discord from 'discord.js';

const client: Discord.Client = new Discord.Client();

client.on('ready', (): void => console.log('ready'));

client.on('message', (message: Discord.Message): void => {
    const arguments = argumentParser(message.content);
    message.reply(arguments);
})

client.login('BOT TOKEN HERE');
```

### Parser Arguments
| Argument | Type - Required | Description                                      |
|:--------:|-----------------|--------------------------------------------------|
| content  | string - true   | The message content to parse the arguments from. |
| prefix   | string - false  | The prefix to look for (e.g. '--').              |