const Collection = require('@discordjs/collection');

module.exports = (content, prefix = '--', expectValue = true) => {
    if (typeof content !== 'string') throw new TypeError('typeof content must be a string.');

    let arguments;
    if (expectValue) {
        arguments = new Collection();
    } else {
        arguments = [];
    }

    const args = content.split(' ');

    args.forEach(arg => {
        if (arg.startsWith(prefix)) {
            if (expectValue) {
                let option = arg.replace(new RegExp(prefix, 'g'), '').split('=')

                let value;
                if (option.length > 1) {
                    value = option[1];
                    option = option[0];
                } else {
                    value = args[args.indexOf(arg) + 1];
                    option = option.join('');
                }

                arguments.set(option, value);
            } else {
                arguments.push(arg);
            }
        }
    });

    return arguments ? arguments : null;
}
